> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/offshoot-helper/set-window-layout.md).

# Set Window Layout

Use this script to hide other app windows, open OffShoot, scale & position the main OffShoot window and open and position two Finder windows adjacent to the OffShoot window.

{% hint style="info" %}
Use this script with [OffShoot Helper's `runAppleScript` action](/offshoot/features/automation/offshoot-helper.md#run-applescript).
{% endhint %}

### Settings

```
set hedgePosition to {x:150, y:120}
set hedgeSize to {width:1280, height:780}
set finderSize to {width:550, height:((height of hedgeSize) / 2)}
set finder1Path to "/Volumes/T1/Testination"
set finder2Path to "/Volumes/T2/Testination"
```

### Download

{% file src="/files/t08NMLeGSvQQhnRPZlzd" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hedge.video/offshoot/features/automation/offshoot-helper/set-window-layout.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
